<a href="index.html"><IMG src="supraHex_logo.png" height="150px" id="logo"></a>

## Introduction

`supraHex` is an open-source package for tabular omics data analysis using a supra-hexagonal map. The supra-hexagonal map is a giant hexagon on a 2-dimensional map grid seamlessly consisting of smaller hexagons. It intends to meet the need for quickly understanding genome-wide biological data, which usually involve a large number of genomic coordinates (e.g. genes) but a much smaller number of samples. 

`supraHex` first uses a supra-hexagonal map to self-organise the input omics data, and then post-analyses the trained map for integrated tasks: simultaneous analysis of genes and samples, and multilayer omics data comparisons.

`supraHex` aims to deliver an eye-intuitive tool and a dedicated website with extensive online documentation and easy-to-follow demos.

## Features

* An integrated framework for the ultrafast understanding of any tabular omics data, both scientifically and artistically
* The supra-hexagonal map trained via a self-organising learning algorithm
* Visualisations at and across nodes of the map
* Partitioning of the map into gene meta-clusters
* Sample correlation on 2D sample landscape
* Overlaying additional data onto the trained map for exploring relationships between input and additional data
* Support for heatmap and tree building and visualisations
* This package can run on `Windows`, `Mac` and `Linux`

## See also

* R-Forge: [project page](https://r-forge.r-project.org/projects/suprahex)
* Bioconductor: [stable release version](http://bioconductor.org/packages/release/bioc/html/supraHex.html) and [latest development version](http://bioconductor.org/packages/devel/bioc/html/supraHex.html)
* Old webpage: [http://supfam.org/SUPERFAMILY/dcGO/supraHex.html](http://supfam.org/SUPERFAMILY/dcGO/supraHex.html)

